import * as React from "react";
import { CountdownTimerProps, InjectedCountdownTimerProps } from "./types";
export declare const StyledDurationContainer: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledCountdownLabel: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledCountdownLabelWarn: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare class TextCountdownTimerComponent extends React.Component<CountdownTimerProps & InjectedCountdownTimerProps> {
    render(): JSX.Element;
    private renderExpiry;
    private renderReadableTimeRemaining;
}
